{% sw_extends '@Storefront/storefront/component/product/card/box-image.html.twig' %}

{# ToDo: Freitextfeld mit Anzahl von Bildern anlegen, dafür ist die Variable maxStock in zeile 14 #}

{% block component_product_box_info %}
    {#<div class="product-info d-flex flex-sm-column flex-lg-row justify-content-center align-items-center align-items-sm-start align-items-lg-center mb-sm-3 mb-lg-0">#}
    <div class="product-info d-flex flex-sm-row flex-wrap flex-lg-row justify-content-center align-items-center align-items-sm-center align-items-lg-center mb-sm-3 mb-lg-0">
    	
        {% block component_product_box_rating %}{% endblock %}
        
        {#<div class="product-visits mr-2 mr-sm-0 mb-sm-2 mb-md-0 d-inline-flex align-items-center">#}
        <div class="product-visits mr-2 mr-sm-2 mb-sm-0 mb-md-0 d-inline-flex align-items-center">
        	{% sw_icon 'eye-open' style { 'size': 'lg' } %} <span class="mx-3 mx-sm-2 mx-lg-3">97</span>
        </div>
        {% set sales = product.stock|trim %}
        {% set maxStock = product.stock+3|trim %}
        <div class="product-buys d-inline-flex">{% sw_icon 'shop' style { 'size': 'lg' } %} <span class="mx-3 mx-sm-2 mx-lg-3 my-sm-2 my-lg-0">{{(sales-maxStock+sales)}}/{{product.availableStock}}</span></div>
                        
        {% block component_product_box_price %}
            {% block component_product_box_price_info %}
			    {% set purchaseUnit = product.purchaseUnit %}
			    {% set listingPrice = product.calculatedListingPrice %}
			    {% set fromPrice = listingPrice.from %}
			    {% set referncePrice = product.calculatedPrice.referencePrice %}
			
			        {% block component_product_box_price_unit %}{% endblock %}
			
			        {% block component_product_box_price_2 %}
			            {% set listPrice = product.priceRange or product.calculatedPrices.count > 0 ? null : product.calculatedPrice.listPrice %}
			
			            {#<p class="product-price{% if listPrice.percentage > 0 %} with-list-price{% endif %} my-0 ml-2">#}
			            <p class="product-price my-2 ml-2 ml-sm-0 mt-sm-2 col-sm-12 my-xl-0 col-xl-auto px-xl-0 text-center {% if listPrice.percentage > 0 %} with-list-price{% endif %}">
			                {% if product.priceRange %}
			                    Ab {{ fromPrice.unitPrice|currency }}{{ "general.star"|trans|sw_sanitize }}
			                {% elseif product.calculatedPrices|length == 1 %}
			                    {{ product.calculatedPrices.first.unitPrice|currency }}{{ "general.star"|trans|sw_sanitize }}
			                {% else %}
			                    {{ product.calculatedPrice.unitPrice|currency }}{{ "general.star"|trans|sw_sanitize }}
			                    {% if listPrice.percentage > 0 %}
			                        <span class="list-price">
			                            {{ listPrice.price|currency }}{{ "general.star"|trans|sw_sanitize }}
			                        </span>
			                    {% endif %}
			                {% endif %}
			            </p>
			        {% endblock %}
			{% endblock %}
        {% endblock %}

        {% block component_product_box_description %}

        {% endblock %}

        {% block component_product_box_action %}
        {% endblock %}
    </div>
    
    {% block component_product_box_name %}
        <a href="{{ seoUrl('frontend.detail.page', {'productId': id}) }}"
           class="product-name d-block text-center text-uppercase py-2 py-lg-3"
           title="{{ name }}">
            {{ name }}
        </a>
    {% endblock %}
    
{% endblock %}